path: /build/build/akonadi-search-kde-apps-5-23.08.2.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-test prefix" emerge kde-apps/akonadi-search:5 -pv -t && \
    USE="-test prefix" emerge -j ${JOBS} --nodeps kde-apps/akonadi-search:5
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/akonadi-search && luet-portage --dir
    /pkgdir/akonadi-search kde-apps/akonadi-search:5 && eval 'rm -v /var/cache/distfiles/*
    ${LUET_PORTAGE_CACHE_PACKAGES}/* || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:556e21d5d53d91ce479db2ee81bdfd8e31fcab8095360e48feb7f1ec950d98c5
  package:
    name: akonadi-search
    version: 23.08.2
    category: kde-apps-5
    use_flags:
    - -test
    - prefix
    requires:
    - name: akonadi-mime
      version: '>=0'
      category: kde-apps-5
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Libraries and daemons to implement searching in Akonadi
    uri:
    - https://invent.kde.org/pim/akonadi-search
    license: GPL-2+ LGPL-2.1+
    buildtimestamp: 2024-02-16 21:50:26.339392199 +0000 UTC m=+159.794149271
    labels:
      BDEPEND: test? ( >=kde-apps/akonadi-23.08.2:5[tools] ) dev-util/ninja >=dev-util/cmake-3.9.6
        test? ( !prefix? ( x11-base/xorg-server[xvfb] ) x11-apps/xhost ) >=kde-frameworks/extra-cmake-modules-5.98.0:5
      DEPEND: '>=dev-libs/xapian-1.3:=[chert(+)] >=dev-qt/qtdbus-5.15.1:5 >=dev-qt/qtgui-5.15.1:5
        >=dev-qt/qtwidgets-5.15.1:5 >=kde-apps/akonadi-23.08.2:5 >=kde-apps/akonadi-mime-23.08.2:5
        >=kde-apps/kmime-23.08.2:5 >=kde-frameworks/kcalendarcore-5.98.0:5 >=kde-frameworks/kcmutils-5.98.0:5
        >=kde-frameworks/kcodecs-5.98.0:5 >=kde-frameworks/kconfig-5.98.0:5 >=kde-frameworks/kconfigwidgets-5.98.0:5
        >=kde-frameworks/kcontacts-5.98.0:5 >=kde-frameworks/kcoreaddons-5.98.0:5
        >=kde-frameworks/kdbusaddons-5.98.0:5 >=kde-frameworks/kio-5.98.0:5 >=kde-frameworks/ki18n-5.98.0:5
        >=kde-frameworks/krunner-5.98.0:5 dev-libs/boost test? ( >=kde-apps/akonadi-23.08.2:5[mariadb,postgres,sqlite]
        ) dev-util/desktop-file-utils x11-misc/shared-mime-info test? ( >=dev-qt/qttest-5.15.1:5
        ) >=dev-qt/qtcore-5.15.1:5 dev-util/desktop-file-utils'
      IUSE: test debug test
      RDEPEND: '>=dev-libs/xapian-1.3:=[chert(+)] >=dev-qt/qtdbus-5.15.1:5 >=dev-qt/qtgui-5.15.1:5
        >=dev-qt/qtwidgets-5.15.1:5 >=kde-apps/akonadi-23.08.2:5 >=kde-apps/akonadi-mime-23.08.2:5
        >=kde-apps/kmime-23.08.2:5 >=kde-frameworks/kcalendarcore-5.98.0:5 >=kde-frameworks/kcmutils-5.98.0:5
        >=kde-frameworks/kcodecs-5.98.0:5 >=kde-frameworks/kconfig-5.98.0:5 >=kde-frameworks/kconfigwidgets-5.98.0:5
        >=kde-frameworks/kcontacts-5.98.0:5 >=kde-frameworks/kcoreaddons-5.98.0:5
        >=kde-frameworks/kdbusaddons-5.98.0:5 >=kde-frameworks/kio-5.98.0:5 >=kde-frameworks/ki18n-5.98.0:5
        >=kde-frameworks/krunner-5.98.0:5 >=kde-frameworks/kf-env-4 || ( >=kde-frameworks/breeze-icons-5.98.0:5
        kde-frameworks/oxygen-icons:* ) >=dev-qt/qtcore-5.15.1:5'
      emerge.packages: kde-apps/akonadi-search:5
      kit: kde-kit
      original.package.name: kde-apps/akonadi-search
      original.package.slot: "5"
      original.package.version: 23.08.2
    treedir: /build/packages
  package_dir: /pkgdir/akonadi-search
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 9f6d59a6d2a96fbd808659b6b59f5e32de76cbde7ca0db48cf96ffbe7fd5e123
compressiontype: zstd
files:
- usr/bin/akonadi_html_to_text
- usr/bin/akonadi_indexing_agent
- usr/include/KPim5/AkonadiSearch/Core/Query
- usr/include/KPim5/AkonadiSearch/Core/ResultIterator
- usr/include/KPim5/AkonadiSearch/Core/SearchStore
- usr/include/KPim5/AkonadiSearch/Core/Term
- usr/include/KPim5/AkonadiSearch/Debug/akonadisearchdebugdialog.h
- usr/include/KPim5/AkonadiSearch/Debug/akonadisearchdebugsearchpathcombobox.h
- usr/include/KPim5/AkonadiSearch/Debug/search_debug_export.h
- usr/include/KPim5/AkonadiSearch/PIM/collectionquery.h
- usr/include/KPim5/AkonadiSearch/PIM/contactcompleter.h
- usr/include/KPim5/AkonadiSearch/PIM/contactquery.h
- usr/include/KPim5/AkonadiSearch/PIM/emailquery.h
- usr/include/KPim5/AkonadiSearch/PIM/indexeditems.h
- usr/include/KPim5/AkonadiSearch/PIM/notequery.h
- usr/include/KPim5/AkonadiSearch/PIM/query.h
- usr/include/KPim5/AkonadiSearch/PIM/resultiterator.h
- usr/include/KPim5/AkonadiSearch/PIM/search_pim_export.h
- usr/include/KPim5/AkonadiSearch/Xapian/search_xapian_export.h
- usr/include/KPim5/AkonadiSearch/Xapian/xapiandatabase.h
- usr/include/KPim5/AkonadiSearch/Xapian/xapiandocument.h
- usr/include/KPim5/AkonadiSearch/Xapian/xapianqueryparser.h
- usr/include/KPim5/AkonadiSearch/Xapian/xapiansearchstore.h
- usr/include/KPim5/AkonadiSearch/Xapian/xapiantermgenerator.h
- usr/include/KPim5/AkonadiSearch/akonadi_search_version.h
- usr/include/KPim5/AkonadiSearch/core/query.h
- usr/include/KPim5/AkonadiSearch/core/resultiterator.h
- usr/include/KPim5/AkonadiSearch/core/searchstore.h
- usr/include/KPim5/AkonadiSearch/core/term.h
- usr/include/KPim5/AkonadiSearch/search_core_export.h
- usr/lib64/cmake/KPim5AkonadiSearch/KPim5AkonadiSearchConfig.cmake
- usr/lib64/cmake/KPim5AkonadiSearch/KPim5AkonadiSearchConfigVersion.cmake
- usr/lib64/cmake/KPim5AkonadiSearch/KPim5AkonadiSearchTargets-gentoo.cmake
- usr/lib64/cmake/KPim5AkonadiSearch/KPim5AkonadiSearchTargets.cmake
- usr/lib64/libKPim5AkonadiSearchCore.so
- usr/lib64/libKPim5AkonadiSearchCore.so.5
- usr/lib64/libKPim5AkonadiSearchCore.so.5.24.2
- usr/lib64/libKPim5AkonadiSearchDebug.so
- usr/lib64/libKPim5AkonadiSearchDebug.so.5
- usr/lib64/libKPim5AkonadiSearchDebug.so.5.24.2
- usr/lib64/libKPim5AkonadiSearchPIM.so
- usr/lib64/libKPim5AkonadiSearchPIM.so.5
- usr/lib64/libKPim5AkonadiSearchPIM.so.5.24.2
- usr/lib64/libKPim5AkonadiSearchXapian.so
- usr/lib64/libKPim5AkonadiSearchXapian.so.5
- usr/lib64/libKPim5AkonadiSearchXapian.so.5.24.2
- usr/lib64/qt5/plugins/kf5/krunner/kcms/kcm_krunner_pimcontacts.so
- usr/lib64/qt5/plugins/kf5/krunner/krunner_pimcontacts.so
- usr/lib64/qt5/plugins/pim5/akonadi/akonadi_search_plugin.so
- usr/lib64/qt5/plugins/pim5/akonadi/calendarsearchstore.so
- usr/lib64/qt5/plugins/pim5/akonadi/contactsearchstore.so
- usr/lib64/qt5/plugins/pim5/akonadi/emailsearchstore.so
- usr/lib64/qt5/plugins/pim5/akonadi/notesearchstore.so
- usr/share/akonadi/agents/akonadiindexingagent.desktop
- usr/share/doc/akonadi-search-23.08.2/README.md
- usr/share/doc/akonadi-search-23.08.2/README.md.license
- usr/share/locale/ar/LC_MESSAGES/akonadi_search.mo
- usr/share/locale/az/LC_MESSAGES/akonadi_search.mo
- usr/share/locale/bg/LC_MESSAGES/akonadi_search.mo
- usr/share/locale/ca/LC_MESSAGES/akonadi_search.mo
- usr/share/locale/ca@valencia/LC_MESSAGES/akonadi_search.mo
- usr/share/locale/cs/LC_MESSAGES/akonadi_search.mo
- usr/share/locale/da/LC_MESSAGES/akonadi_search.mo
- usr/share/locale/de/LC_MESSAGES/akonadi_search.mo
- usr/share/locale/el/LC_MESSAGES/akonadi_search.mo
- usr/share/locale/en_GB/LC_MESSAGES/akonadi_search.mo
- usr/share/locale/es/LC_MESSAGES/akonadi_search.mo
- usr/share/locale/et/LC_MESSAGES/akonadi_search.mo
- usr/share/locale/eu/LC_MESSAGES/akonadi_search.mo
- usr/share/locale/fi/LC_MESSAGES/akonadi_search.mo
- usr/share/locale/fr/LC_MESSAGES/akonadi_search.mo
- usr/share/locale/gl/LC_MESSAGES/akonadi_search.mo
- usr/share/locale/hi/LC_MESSAGES/akonadi_search.mo
- usr/share/locale/hsb/LC_MESSAGES/akonadi_search.mo
- usr/share/locale/hu/LC_MESSAGES/akonadi_search.mo
- usr/share/locale/ia/LC_MESSAGES/akonadi_search.mo
- usr/share/locale/id/LC_MESSAGES/akonadi_search.mo
- usr/share/locale/it/LC_MESSAGES/akonadi_search.mo
- usr/share/locale/ja/LC_MESSAGES/akonadi_search.mo
- usr/share/locale/ka/LC_MESSAGES/akonadi_search.mo
- usr/share/locale/ko/LC_MESSAGES/akonadi_search.mo
- usr/share/locale/lt/LC_MESSAGES/akonadi_search.mo
- usr/share/locale/nb/LC_MESSAGES/akonadi_search.mo
- usr/share/locale/nl/LC_MESSAGES/akonadi_search.mo
- usr/share/locale/nn/LC_MESSAGES/akonadi_search.mo
- usr/share/locale/pl/LC_MESSAGES/akonadi_search.mo
- usr/share/locale/pt/LC_MESSAGES/akonadi_search.mo
- usr/share/locale/pt_BR/LC_MESSAGES/akonadi_search.mo
- usr/share/locale/ro/LC_MESSAGES/akonadi_search.mo
- usr/share/locale/ru/LC_MESSAGES/akonadi_search.mo
- usr/share/locale/sk/LC_MESSAGES/akonadi_search.mo
- usr/share/locale/sl/LC_MESSAGES/akonadi_search.mo
- usr/share/locale/sr/LC_MESSAGES/akonadi_search.mo
- usr/share/locale/sr@ijekavian/LC_MESSAGES/akonadi_search.mo
- usr/share/locale/sr@ijekavianlatin/LC_MESSAGES/akonadi_search.mo
- usr/share/locale/sr@latin/LC_MESSAGES/akonadi_search.mo
- usr/share/locale/sv/LC_MESSAGES/akonadi_search.mo
- usr/share/locale/tr/LC_MESSAGES/akonadi_search.mo
- usr/share/locale/uk/LC_MESSAGES/akonadi_search.mo
- usr/share/locale/zh_CN/LC_MESSAGES/akonadi_search.mo
- usr/share/locale/zh_TW/LC_MESSAGES/akonadi_search.mo
- usr/share/qlogging-categories5/akonadi-search.categories
- usr/share/qlogging-categories5/akonadi-search.renamecategories
- var/db/pkg/kde-apps/akonadi-search-23.08.2/BDEPEND
- var/db/pkg/kde-apps/akonadi-search-23.08.2/BUILD_TIME
- var/db/pkg/kde-apps/akonadi-search-23.08.2/CATEGORY
- var/db/pkg/kde-apps/akonadi-search-23.08.2/CBUILD
- var/db/pkg/kde-apps/akonadi-search-23.08.2/CFLAGS
- var/db/pkg/kde-apps/akonadi-search-23.08.2/CHOST
- var/db/pkg/kde-apps/akonadi-search-23.08.2/CONTENTS
- var/db/pkg/kde-apps/akonadi-search-23.08.2/COUNTER
- var/db/pkg/kde-apps/akonadi-search-23.08.2/CXXFLAGS
- var/db/pkg/kde-apps/akonadi-search-23.08.2/DEFINED_PHASES
- var/db/pkg/kde-apps/akonadi-search-23.08.2/DEPEND
- var/db/pkg/kde-apps/akonadi-search-23.08.2/DESCRIPTION
- var/db/pkg/kde-apps/akonadi-search-23.08.2/EAPI
- var/db/pkg/kde-apps/akonadi-search-23.08.2/FEATURES
- var/db/pkg/kde-apps/akonadi-search-23.08.2/HOMEPAGE
- var/db/pkg/kde-apps/akonadi-search-23.08.2/INHERITED
- var/db/pkg/kde-apps/akonadi-search-23.08.2/IUSE
- var/db/pkg/kde-apps/akonadi-search-23.08.2/IUSE_EFFECTIVE
- var/db/pkg/kde-apps/akonadi-search-23.08.2/KEYWORDS
- var/db/pkg/kde-apps/akonadi-search-23.08.2/LDFLAGS
- var/db/pkg/kde-apps/akonadi-search-23.08.2/LICENSE
- var/db/pkg/kde-apps/akonadi-search-23.08.2/NEEDED
- var/db/pkg/kde-apps/akonadi-search-23.08.2/PF
- var/db/pkg/kde-apps/akonadi-search-23.08.2/PROVIDES
- var/db/pkg/kde-apps/akonadi-search-23.08.2/RDEPEND
- var/db/pkg/kde-apps/akonadi-search-23.08.2/REQUIRES
- var/db/pkg/kde-apps/akonadi-search-23.08.2/RESTRICT
- var/db/pkg/kde-apps/akonadi-search-23.08.2/SIZE
- var/db/pkg/kde-apps/akonadi-search-23.08.2/SLOT
- var/db/pkg/kde-apps/akonadi-search-23.08.2/USE
- var/db/pkg/kde-apps/akonadi-search-23.08.2/akonadi-search-23.08.2.ebuild
- var/db/pkg/kde-apps/akonadi-search-23.08.2/environment.bz2
- var/db/pkg/kde-apps/akonadi-search-23.08.2/repository
package_cacheimage: ""
runtime:
  name: akonadi-search
  version: 23.08.2
  category: kde-apps-5
  use_flags:
  - -test
  - prefix
  requires:
  - name: xapian
    version: '>=0'
    category: dev-libs
  - name: akonadi-mime
    version: '>=0'
    category: kde-apps-5
  - name: kcalendarcore
    version: '>=0'
    category: kde-frameworks-5
  - name: kcmutils
    version: '>=0'
    category: kde-frameworks-5
  - name: kcontacts
    version: '>=0'
    category: kde-frameworks-5
  - name: kdbusaddons
    version: '>=0'
    category: kde-frameworks-5
  - name: krunner
    version: '>=0'
    category: kde-frameworks-5
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Libraries and daemons to implement searching in Akonadi
  uri:
  - https://invent.kde.org/pim/akonadi-search
  license: GPL-2+ LGPL-2.1+
  labels:
    BDEPEND: test? ( >=kde-apps/akonadi-23.08.2:5[tools] ) dev-util/ninja >=dev-util/cmake-3.9.6
      test? ( !prefix? ( x11-base/xorg-server[xvfb] ) x11-apps/xhost ) >=kde-frameworks/extra-cmake-modules-5.98.0:5
    DEPEND: '>=dev-libs/xapian-1.3:=[chert(+)] >=dev-qt/qtdbus-5.15.1:5 >=dev-qt/qtgui-5.15.1:5
      >=dev-qt/qtwidgets-5.15.1:5 >=kde-apps/akonadi-23.08.2:5 >=kde-apps/akonadi-mime-23.08.2:5
      >=kde-apps/kmime-23.08.2:5 >=kde-frameworks/kcalendarcore-5.98.0:5 >=kde-frameworks/kcmutils-5.98.0:5
      >=kde-frameworks/kcodecs-5.98.0:5 >=kde-frameworks/kconfig-5.98.0:5 >=kde-frameworks/kconfigwidgets-5.98.0:5
      >=kde-frameworks/kcontacts-5.98.0:5 >=kde-frameworks/kcoreaddons-5.98.0:5 >=kde-frameworks/kdbusaddons-5.98.0:5
      >=kde-frameworks/kio-5.98.0:5 >=kde-frameworks/ki18n-5.98.0:5 >=kde-frameworks/krunner-5.98.0:5
      dev-libs/boost test? ( >=kde-apps/akonadi-23.08.2:5[mariadb,postgres,sqlite]
      ) dev-util/desktop-file-utils x11-misc/shared-mime-info test? ( >=dev-qt/qttest-5.15.1:5
      ) >=dev-qt/qtcore-5.15.1:5 dev-util/desktop-file-utils'
    IUSE: test debug test
    RDEPEND: '>=dev-libs/xapian-1.3:=[chert(+)] >=dev-qt/qtdbus-5.15.1:5 >=dev-qt/qtgui-5.15.1:5
      >=dev-qt/qtwidgets-5.15.1:5 >=kde-apps/akonadi-23.08.2:5 >=kde-apps/akonadi-mime-23.08.2:5
      >=kde-apps/kmime-23.08.2:5 >=kde-frameworks/kcalendarcore-5.98.0:5 >=kde-frameworks/kcmutils-5.98.0:5
      >=kde-frameworks/kcodecs-5.98.0:5 >=kde-frameworks/kconfig-5.98.0:5 >=kde-frameworks/kconfigwidgets-5.98.0:5
      >=kde-frameworks/kcontacts-5.98.0:5 >=kde-frameworks/kcoreaddons-5.98.0:5 >=kde-frameworks/kdbusaddons-5.98.0:5
      >=kde-frameworks/kio-5.98.0:5 >=kde-frameworks/ki18n-5.98.0:5 >=kde-frameworks/krunner-5.98.0:5
      >=kde-frameworks/kf-env-4 || ( >=kde-frameworks/breeze-icons-5.98.0:5 kde-frameworks/oxygen-icons:*
      ) >=dev-qt/qtcore-5.15.1:5'
    emerge.packages: kde-apps/akonadi-search:5
    kit: kde-kit
    original.package.name: kde-apps/akonadi-search
    original.package.slot: "5"
    original.package.version: 23.08.2
